#! /usr/bin/perl -w

# AutoNap trapping module $Revision: 1.1 $
# last change made $Date: 2001/03/22 13:44:43 $
# Needed basically, to turn trapping off
# if it gets in the way

package AutoLib::Trap;

BEGIN {
	use Exporter   ();
	use vars       qw($VERSION @ISA @EXPORT @EXPORT_OK %EXPORT_TAGS);

	$VERSION = 1.0;

	@ISA          = qw(Exporter);
	@EXPORT       = qw();
	%EXPORT_TAGS  = ();

	}
	
use strict;
use Term::ANSIColor qw(:constants);
use vars     @EXPORT_OK;

#-------------------------------
# we don't want warnings either.
#-------------------------------

$SIG{__WARN__} = sub {
	printf BOLD.RED."Sorry: This is not possible and a warning has been raised.\n".
	                "Copy message into an email to <Tassilo.Parseval\@post.rwth-aachen.de>\n".
	                "for reporting this since such a thing shouldn't happen:\n".
	                YELLOW.$_[0].RESET."\n";
};

#--------------------------------------------------
# the unless-statement looks as though I am nuts				
# well, I am not. Perl may rais SIGDIE on line 344
# even though the statement is eval'ed so the above					            # error is taken into account.
#--------------------------------------------------

$SIG{__DIE__} =	sub {
	printf BOLD.RED."Sorry: A serious error occured and it has been fatal.\n".
	       "Copy message into an email to <Tassilo.Parseval\@post.rwth-aachen.de>\n".
	       "for reporting this since such a thing really shouldn't happen:\n".
	       YELLOW.$_[0].RESET."\n"; 
};

#---------------------------------
# mandatory for 'no AutoLib::Trap'
#---------------------------------

sub unimport {
	shift;
	$SIG{__WARN__} = sub { };
	$SIG{__DIE__}  = sub { };
}
1;

